{% extends "base.html" %}

{% block content %}
    <h3>Alteração de senha</h3>
    <div class="row">
        <div class="col-md-12">
            {% if validlink %}
                <p>Por favor, entre (e confirme) sua nova senha.</p>
                <form action="" method="post">
                {% csrf_token %}
                    <table>
                        <tr>
                            <td>{{ form.new_password1.errors }}
                                <label for="id_new_password1">Nova senha:</label></td>
                            <td>{{ form.new_password1 }}</td>
                        </tr>
                        <tr>
                            <td>{{ form.new_password2.errors }}
                                <label for="id_new_password2">Confirme a nova senha:</label></td>
                            <td>{{ form.new_password2 }}</td>
                        </tr>
                        <tr>
                            <td></td>
                            <td><input type="submit" value="Alterar minha senha" /></td>
                        </tr>
                    </table>
                </form>
            {% else %}
                <div class="alert alert-danger">A alteração da senha falhou!</div>
                <p>O link da alteração de senha é inválido, possivelmente por já ter sido usado. Por favor, solicite nova restauração de senha.</p>
            {% endif %}
        </div>
    </div>
{% endblock %}
